Uses of Interface
io.vertx.ext.web.RoutingContext
Packages that use RoutingContext
Package
Description
-
Uses of RoutingContext in io.vertx.ext.web
Methods in io.vertx.ext.web that return RoutingContextModifier and TypeMethodDescriptiondefault RoutingContextRoutingContext.attachment(String filename) Set Content-Disposition get to "attachment" with optionalfilenamemime type.default RoutingContextSet the ETag of a response.default RoutingContextRoutingContext.lastModified(String instant) Set the Last-Modified date using a String.default RoutingContextRoutingContext.lastModified(Instant instant) Set the Last-Modified date using a Instant.Put some arbitrary data in the context.WebServerRequest.routingContext()Methods in io.vertx.ext.web with parameters of type RoutingContextModifier and TypeMethodDescriptionvoidRouter.handleContext(RoutingContext context) Used to route a context to the router.voidRouter.handleFailure(RoutingContext context) Used to route a failure to the router.Method parameters in io.vertx.ext.web with type arguments of type RoutingContextModifier and TypeMethodDescriptionRoute.blockingHandler(Handler<RoutingContext> requestHandler) LikeRoute.blockingHandler(Handler, boolean)called with ordered = trueRoute.blockingHandler(Handler<RoutingContext> requestHandler, boolean ordered) Specify a blocking request handler for the route.Router.errorHandler(int statusCode, Handler<RoutingContext> errorHandler) Specify an handler to handle an error for a particular status code.Route.failureHandler(Handler<RoutingContext> failureHandler) Append a failure handler to the route failure handlers list.Route.handler(Handler<RoutingContext> requestHandler) Append a request handler to the route handlers list.default <T> RouteRoute.respond(Function<RoutingContext, Future<T>> function) Append a function request handler to the route handlers list.Router.uncaughtErrorHandler(Handler<RoutingContext> errorHandler) Specify an handler to handle an error for any status code that doesn't have a specific handler assigned. -
Uses of RoutingContext in io.vertx.ext.web.api.service
Subinterfaces with type arguments of type RoutingContext in io.vertx.ext.web.api.serviceModifier and TypeInterfaceDescriptioninterfaceinterfaceHandler that proxy the request to an event bus endpoint, waits for the reply and then writes the HTTP response.Method parameters in io.vertx.ext.web.api.service with type arguments of type RoutingContextModifier and TypeMethodDescriptionstatic OpenAPIRouterHandlerOpenAPIRouterHandler.create(Vertx vertx, Operation operation, DeliveryOptions deliveryOptions, BiFunction<Operation, RoutingContext, JsonObject> extraPayloadMapper, ResponseValidator validator) RouteToEBServiceHandler.extraPayloadMapper(Function<RoutingContext, JsonObject> extraPayloadMapper) WhenextraPayloadMapperis configured, this handler puts the evaluation result intoServiceRequest.getExtra() -
Uses of RoutingContext in io.vertx.ext.web.handler
Subinterfaces with type arguments of type RoutingContext in io.vertx.ext.web.handlerModifier and TypeInterfaceDescriptioninterfaceBase interface for auth handlers.interfaceBase interface for authorization handlers that provide authorization support.interfaceA handler which gathers the entire request body and sets it on theRoutingContext.interfaceA pretty error handler for rendering error pages.interfaceBase input trust interface for handlers that verify the trust of the request.interfaceA handler which selectively executes another handler if a precondition is met.interfaceBase platform interface for handlers that provide functionality to the application platform.interfaceBase interface for handlers that perform protocol upgrades.interfaceBase security policy interface for handlers that provide HTTP security related headers.interfaceA handler for serving static resources from the file system or classpath.interfaceA handler which renders responses using a template engine and where the template name is selected from the URI path.Methods in io.vertx.ext.web.handler with parameters of type RoutingContextModifier and TypeMethodDescriptionSessionHandler.flush(RoutingContext ctx) Flush a context session earlier to the store, this will allow the end user to have full control on the event of a failure at the store level.SessionHandler.flush(RoutingContext ctx, boolean ignoreStatus) Flush a context session earlier to the store, this will allow the end user to have full control on the event of a failure at the store level.LoggerFormatter.format(RoutingContext routingContext, long ms) Formats and returns the log statementSessionHandler.newSession(RoutingContext context) Create a new sessionSessionHandler.setUser(RoutingContext context, User user) Set the user for the sessionMethod parameters in io.vertx.ext.web.handler with type arguments of type RoutingContextModifier and TypeMethodDescriptionMultiTenantHandler.addDefaultHandler(Handler<RoutingContext> handler) Add a default handler for the case when no tenant was matched.MultiTenantHandler.addTenantHandler(String tenant, Handler<RoutingContext> handler) Add a handler for a given tenant to this handler.SimpleAuthenticationHandler.authenticate(Function<RoutingContext, Future<User>> authenticationFunction) This function will allow you to perform authentication the way you intended to.static MultiTenantHandlerMultiTenantHandler.create(Function<RoutingContext, String> tenantExtractor) Create a MultiTenant handler using a custom tenant extraction function.static MultiTenantHandlerMultiTenantHandler.create(Function<RoutingContext, String> tenantExtractor, String contextKey) Create a MultiTenant handler using a custom tenant extraction function.AuthorizationHandler.variableConsumer(BiConsumer<RoutingContext, AuthorizationContext> handler) Provide a simple handler to extract needed variables. -
Uses of RoutingContext in io.vertx.ext.web.handler.graphql
Subinterfaces with type arguments of type RoutingContext in io.vertx.ext.web.handler.graphqlMethod parameters in io.vertx.ext.web.handler.graphql with type arguments of type RoutingContextModifier and TypeMethodDescriptionGraphiQLHandlerBuilder.addingHeaders(Function<RoutingContext, MultiMap> factory) Customize the HTTP headers to add to GraphQL requests sent by the GraphiQL user interface.GraphQLHandlerBuilder.beforeExecute(Handler<ExecutionInputBuilderWithContext<RoutingContext>> beforeExecuteHandler) Set a callback to invoke before executing a GraphQL query. -
Uses of RoutingContext in io.vertx.ext.web.handler.sockjs
Methods in io.vertx.ext.web.handler.sockjs that return RoutingContext -
Uses of RoutingContext in io.vertx.ext.web.healthchecks
Subinterfaces with type arguments of type RoutingContext in io.vertx.ext.web.healthchecksModifier and TypeInterfaceDescriptioninterfaceA Vert.x Web handler on which you register health check procedure. -
Uses of RoutingContext in io.vertx.ext.web.openapi.router
Methods in io.vertx.ext.web.openapi.router that return types with arguments of type RoutingContextMethods in io.vertx.ext.web.openapi.router with parameters of type RoutingContextModifier and TypeMethodDescriptionRequestExtractor.extractValidatableRequest(RoutingContext routingContext, Operation operation) Extracts and transforms the parameters and the body of an incoming request into aformatthat can be validated by theRequestValidator.Method parameters in io.vertx.ext.web.openapi.router with type arguments of type RoutingContextModifier and TypeMethodDescriptionOpenAPIRoute.addFailureHandler(Handler<RoutingContext> handler) Adds a failure handler for this routeOpenAPIRoute.addHandler(Handler<RoutingContext> handler) Adds a handler for this route which is executed after the security and validation handlers defined in the contractRouterBuilder.rootHandler(Handler<RoutingContext> rootHandler) Add global handler to be applied prior toRouterbeing generated. -
Uses of RoutingContext in io.vertx.ext.web.proxy.handler
Subinterfaces with type arguments of type RoutingContext in io.vertx.ext.web.proxy.handler -
Uses of RoutingContext in io.vertx.ext.web.validation
Subinterfaces with type arguments of type RoutingContext in io.vertx.ext.web.validationModifier and TypeInterfaceDescriptioninterfaceRequest predicateinterface -
Uses of RoutingContext in io.vertx.micrometer
Methods in io.vertx.micrometer that return types with arguments of type RoutingContextModifier and TypeMethodDescriptionstatic Handler<RoutingContext> PrometheusScrapingHandler.create()Creates a Vert.x WebRoutehandler for Prometheus metrics scraping.static Handler<RoutingContext> PrometheusScrapingHandler.create(io.micrometer.prometheusmetrics.PrometheusMeterRegistry registry) Creates a Vert.x WebRoutehandler for Prometheus metrics scraping.static Handler<RoutingContext> Creates a Vert.x WebRoutehandler for Prometheus metrics scraping. -
Uses of RoutingContext in io.vertx.reactivex.ext.web
Methods in io.vertx.reactivex.ext.web that return RoutingContextMethods in io.vertx.reactivex.ext.web with parameters of type RoutingContextModifier and TypeMethodDescriptionstatic RoutingContextRoutingContext.newInstance(RoutingContext arg) Constructors in io.vertx.reactivex.ext.web with parameters of type RoutingContext -
Uses of RoutingContext in io.vertx.rxjava3.ext.web
Methods in io.vertx.rxjava3.ext.web that return RoutingContextMethods in io.vertx.rxjava3.ext.web with parameters of type RoutingContextModifier and TypeMethodDescriptionstatic RoutingContextRoutingContext.newInstance(RoutingContext arg) Constructors in io.vertx.rxjava3.ext.web with parameters of type RoutingContext